Foreman - Bug #18366

vSphere: exception raised when vm cannot be created correctly
02/02/2017 07:49 AM - Timo Goebel

Status: Closed
Priority: Normal
Assignee: Timo Goebel
Category: Compute resources - VMware
Target version: 1.14.2
Difficulty: trivial Fixed in Releases:
Triaged: Found in Releases: 1.13.2
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4249
Description

NoMethodError: undefined method “include?' for nil:NilClass |
/opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-1.0.0/lib/fog/vsphere/requests/compute/get_virtual_machine.rb:40:in
‘get_vm_by_name' |
/opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-1.0.0/lib/fog/vsphere/requests/compute/get_virtual_machine.rb:25:in
“block in get_vm_ref' |
/opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-1.0.0/lib/fog/vsphere/requests/compute/get_virtual_machine.rb:25:in
‘map' |
/opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-1.0.0/lib/fog/vsphere/requests/compute/get_virtual_machine.rb:25:in
“get_vm_ref' |
/opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-1.0.0/lib/fog/vsphere/requests/compute/get_virtual_machine.rb:7:in
“get_virtual_machine' |
/opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-1.0.0/lib/fog/vsphere/models/compute/servers.rb:31:in “get' |
/usr/share/foreman/app/models/compute_resource.rb:169:in “find_vm_by_uuid' |
/usr/share/foreman/app/models/compute_resource.rb:187:in "destroy_vm' |
/usr/share/foreman/app/models/compute_resources/foreman/model/vmware.rb:399:in “rescue in create_vm' |
/usr/share/foreman/app/models/compute_resources/foreman/model/vmware.rb:386:in “create_vm' |
/usr/share/foreman/app/models/concerns/orchestration/compute.rb:82:in “setCompute’

rescue block in create_vm should check if vm.id is not nil

Associated revisions

Revision b7cb8e5f - 02/09/2017 08:10 AM - Timo Goebel

fixes #18366 - vmware: delete vm only if created with errors

Revision 0601db70 - 03/01/2017 02:08 PM - Timo Goebel

fixes #18366 - vmware: delete vm only if created with errors

(cherry picked from commit b7cb8e5f47b6d10715cffc49070eee931d712637)

History

#1 - 02/02/2017 07:54 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4249 added

#2 - 02/09/2017 09:01 AM - Timo Goebel
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset b7cb8e5f47b6d10715cffc49070eee931d712637.

#3 - 02/10/2017 03:57 AM - Dominic Cleal

05/22/2024 1/2



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/b7cb8e5f47b6d10715cffc49070eee931d712637

- translation missing: en.field_release set to 221
